Bug 140598 - FILESAVE: PDF: Incorrect table position when using --convert-to pdf in commandline
Summary: FILESAVE: PDF: Incorrect table position when using --convert-to pdf in comman...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Attila Bakos (NISZ)
URL:
Whiteboard: target:7.2.0 target:7.1.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2021-02-22 13:24 UTC by Xisco Faulí
Modified: 2021-03-02 11:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
output PDF (8.18 KB, application/pdf)
2021-02-22 13:24 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-02-22 13:24:49 UTC
Created attachment 169962 [details]
output PDF

Steps to reproduce:
1. Download attachment 57860 [details] from bug 46822
2. Convert it to PDF from commandline: 'instdir/program/soffice --headless --convert-to pdf /home/xisco/Downloads/Some\ text2.docx --outdir /home/xisco/Downloads/'

-> The table is at the top of the document. See resulting PDF

Reproduced in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 26d23c96d449c201e50df04023d9cbfd59d3d133
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-02-22 13:26:25 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c96c386c5db45dc4d5e358915caad7474e373068

author	Attila Bakos (NISZ) <bakos.attilakaroly@nisz.hu>	2021-01-15 14:45:29 +0100
committer	László Németh <nemeth@numbertext.org>	2021-02-04 12:56:11 +0100
commit	c96c386c5db45dc4d5e358915caad7474e373068 (patch)
tree	b33b9cc4b58a3f4bd7221be5e8780f5f17c5b775
parent	18982376918c88ec09c2c7fd42ef635e93897b05 (diff)
tdf#136516 add positioning to SwTextBoxHelper::syncProperty()

Bisected with: bibisect-linux64-7.2

Adding Cc: to Attila Bakos
Comment 2 Xisco Faulí 2021-02-22 14:40:24 UTC
Attachment 98662 [details] from bug 78420 is also affected by this issue. 'Iveco' logo on page 1 is shifted to the left
Comment 3 Commit Notification 2021-03-01 15:05:09 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/493a916a3113e877835c9bc7c93faef0d29f9a33

tdf#140158 tdf#138598 tdf#140598 sw: fix sync of AS_CHAR textboxes

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2021-03-02 09:44:20 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 94283af977246c70dbed4452d197b003d8bb14b9
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Attila Bakos, thanks for fixing this issue. Should it be closed as RESOLVED
FIXED ?
Comment 5 Commit Notification 2021-03-02 11:15:52 UTC
Attila Bakos (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/6edeb6a8209a990e83f07c02753d606226f59be7

tdf#140158 tdf#138598 tdf#140598 sw: fix sync of AS_CHAR textboxes

It will be available in 7.1.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.